SUNDAY, JUNE 20, 2021

Translating Theme

This guide covers the basics of translating the template.

If you downloaded localized version of WordPress, and you wish to translate the template to the same language – you can skip the “Setting up WordPress for translation” step

Setting up WordPress for translation

This step is only for people who downloaded the original English version from WordPress.org and despite that wish to use the template in other language.

To enable WordPress to load template language file:-

  • Using your favorite text editor open file wp-config.php from your WordPress directory
  • Locate the line: define (‘WPLANG’, ”);
  • In the second quotes (next to WPLANG) please type in your language code ie. for Polish pl_PL, for Deutsch de_DE, for Italiano it_IT etc.
  • Final result of line should look like: define (‘WPLANG’, ‘pl_PL’);
  • Save the file
Complete lists of codes can be found at (country codes) and (language codes)

Translating the template

  • Download the .pot file editor such as POedit (multi-platform)
  • Open the editor and choose New Catalog from POT File
  • Open the template_name.pot file from the template directory (http://www.yoursite.com/wp-content/themes/template_name/)
  • Click on a single phrase or sentence and type in your translation in the bottom of the POedit window
  • Save the file using Save As and as a filename use your country and language code ie. for Polish pl_PL, for Deutsch de_DE, for Italiano it_IT etc.
If you want to you can share your translation with us so we could provide your language file to other users of WordPress Club here at RocketTheme.

Installing downloaded translation file for template

Sharing your translation with RocketTheme

  • After translating your .po file POedit also creates the .mo file which contains your encrypted translation
  • Just send us your country_code.mo (depending on what language is your translation) file located in (http://www.yoursite.com/wp-content/themes/template_name/) and tell us for what country and what language is your translation

MINDEN VÉLEMÉNY SZÁMÍT!


System Requirements

The following are required for Zephyr to operate fully:

  • WordPress 3.x (latest version)
  • Gantry v1.12 or higher
  • PHP 5.2 or higher

Videos: Gantry

RocketLauncher

  • Replicate this demo with RocketLauncher, inclusive of the theme and content.

    More Information

Multi-Column Menu

If you use 2,3 or 4 columns in Fusion, you will need to increase the Drop-Down Width (px) value in the menu item settings.

More Information

Contact Info

  • Zephyr Developers Inc.
  • 9090 Cascade Boulevard,
  • Miami, Florida, 23490, USA
  • Tel: (555) 555-55555

Demo Information

  • All sample content is for demo purposes only, intended to exemplify a live site. All images and materials are the copyright of their respective owners.
  • Additionally, this demo, in a modified form for distribution purposes, is available for download in the RocketLauncher format.

Popup Widget

This is the Popup Widget. Add any widget to the popup widget position, and place anywhere Gantry Popup widget to trigger the RokBox.

You can configure its height and width from the widget settings.

More Information